---
- name: create directories
  file: 
    path: "{{item}}"
    state: directory
  with_items:
    - "{{remote_path}}"
    - "{{remote_path}}/skel"
    - "{{remote_path}}/theme"

- name: create directories
  file: 
    path: "{{item}}"
    state: directory
  with_items:
    - "{{remote_path}}/cron.d"
    - "{{remote_path}}/cron.d/crontabs"
    - "{{remote_path}}/cron.d/scripts"
  when: nextcloud_with_cron

- name: copy occ script
  ansible.builtin.copy:
    src: occ.sh
    dest: "{{ remote_path }}/occ.sh"
    mode: 0755

- name: 'clone the nextcloud header injection repo'
  git:
    repo: "{{nextcloud_header_injection_repo}}"
    dest: "{{remote_path}}/rps-nextcloud-header-injection"
    version: "main"
    single_branch: true
    force: false
    depth: 1
  when: nextcloud_with_header_integration

